UnknownFormatFlagsException (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: java.util, class: UnknownFormatFlagsException
Keywords: java.util.UnknownFormatFlagsException class

Module java.base
Package java.util

# Class UnknownFormatFlagsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.UnknownFormatFlagsException

All Implemented Interfaces:
  `Serializable`

    public class UnknownFormatFlagsException
    extends IllegalFormatException

Unchecked exception thrown when an unknown flag is given.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnknownFormatFlagsException​(String f)` | Constructs an instance of this class with the specified flags.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getFlags()` | Returns the set of flags which contains an unknown flag.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownFormatFlagsException

    public UnknownFormatFlagsException​(String f)
    Constructs an instance of this class with the specified flags.
    Parameters:
      `f` - The set of format flags which contain an unknown flag

- ## Method Details

  - ### getFlags

    public String getFlags()
    Returns the set of flags which contains an unknown flag.
    Returns:
      The flags